"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addThis = exports.addThisPlugin = void 0;
const vuepress_shared_1 = require("@mr-hope/vuepress-shared");
const utils_1 = require("@vuepress/utils");
/**
 * `vuepress-plugin-add-this` Plugin
 */
const addThisPlugin = ({ pubid }) => {
    if (!pubid) {
        console.error("[AddThis]: Please provide a pubid to let plugin work");
        return {
            name: "vuepress-plugin-add-this",
        };
    }
    return {
        name: "vuepress-plugin-add-this",
        define: () => ({ PUB_ID: pubid }),
        onInitialized: (app) => {
            (0, vuepress_shared_1.addViteSsrNoExternal)(app, "vuepress-plugin-add-this");
            (0, vuepress_shared_1.addViteOptimizeDepsExclude)(app, "vuepress-plugin-add-this");
        },
        clientAppRootComponentFiles: utils_1.path.resolve(__dirname, "../client/root-components/AddThis.js"),
        globalUIComponents: "AddThis",
    };
};
exports.addThisPlugin = addThisPlugin;
const addThis = (options) => ["add-this", options];
exports.addThis = addThis;
//# sourceMappingURL=plugin.js.map